# CombineHarvester

Full documentation: http://cms-analysis.github.io/CombineHarvester

## Quick start

This pacakge requires HiggsAnalysis/CombinedLimit to be in your local CMSSW area. We follow the release recommendations of the combine developers which can be found [here](https://twiki.cern.ch/twiki/bin/viewauth/CMS/SWGuideHiggsAnalysisCombinedLimit#ROOT6_SLC6_release_CMSSW_7_4_X). The CombineHarvester framework is only compatible with the CMSSW 7_X_Y series releases, though both the ROOT5 and ROOT6 branches of combine are supported.

This repository contains a number of subpackages for different analyses. If you just need the core CombineHarvester/CombineTools subpackge, then the following scripts can be used to clone the repository with a sparse checkout for this one only:

    git clone via ssh:
    bash <(curl -s https://raw.githubusercontent.com/cms-analysis/CombineHarvester/master/CombineTools/scripts/sparse-checkout-ssh.sh)
    git clone via https:
    bash <(curl -s https://raw.githubusercontent.com/cms-analysis/CombineHarvester/master/CombineTools/scripts/sparse-checkout-https.sh)
    
A new full release area can be set up and compiled in the following steps:

    export SCRAM_ARCH=slc6_amd64_gcc491
    scram project CMSSW CMSSW_7_4_7
    cd CMSSW_7_4_7/src
    cmsenv
    git clone https://github.com/cms-analysis/HiggsAnalysis-CombinedLimit.git HiggsAnalysis/CombinedLimit
    # Check the recommended tag on link above, a tag >= v5.0.2 is needed for the ROOT5 branch of combine
    git clone https://github.com/cms-analysis/CombineHarvester.git CombineHarvester
    scram b

